package scanner

import (
	"sync"

	"git.akyoto.dev/cli/q/src/core"
	"git.akyoto.dev/cli/q/src/fs"
	"git.akyoto.dev/cli/q/src/types"
)

// Scanner is used to scan files before the actual compilation step.
type Scanner struct {
	constants chan *core.Constant
	files     chan *fs.File
	functions chan *core.Function
	structs   chan *types.Struct
	errors    chan error
	queued    sync.Map
	group     sync.WaitGroup
}
